* Cuadros Camas Hospitalarias 2016.
* Instituto Nacional de Estadstica y Censos.
*GESRA.

*----------------------------------------------------------------------------------------------------------------------------------------------------------------.
*****3.1.3 Nmero de establecimientos y nmero de camas hospitalarias disponibles, por clase de establecimiento,
segn regiones y  provincias********..
*------------------------------------------.

GET FILE=' D:\EGRESOS Y CAMAS\BASES CAMAS\camas_2016.sav'.
filter off.
use all.
compute t0 = 1.
compute t1 = 1.

NUMERIC reg_nat (f2.0).
if (prov_ubie >= "01" and prov_ubie <= "06") reg_nat= 1.
if (prov_ubie >= "10" and prov_ubie <= "11") reg_nat= 1.
if (prov_ubie >= "17" and prov_ubie <= "18") reg_nat= 1.
if (prov_ubie = "23") reg_nat= 1.
if (prov_ubie >= "07" and prov_ubie <= "09") reg_nat = 2.
if (prov_ubie >= "12" and prov_ubie <= "13") reg_nat = 2.
if (prov_ubie = "24") reg_nat= 2.
if (prov_ubie >= "14" and prov_ubie <= "16") reg_nat = 3.
if (prov_ubie = "19") reg_nat= 3.
if (prov_ubie >= "21" and prov_ubie <= "22") reg_nat = 3.
if (prov_ubie = "20") reg_nat= 4.
if (prov_ubie = "90") reg_nat= 5.
execute.


VALUE LABELS
/REG_NAT  
1 'Regipon Sierra'
2 'Regin Costa'
3 'Regin Amaznica'
4 'Regin Insular'
5 'Zonas no delimitadas'.
*-----------------------------------------------------------------.
*Para agrupar las sectores con entidades.
*-----------------------------------------------------------------.
STRING wclase (A1).
COMPUTE wclase = '9'.
EXECUTE .

if clase = 11 wclase = '1'.
if (clase = 3 or clase = 4 or clase = 5) wclase = "2".
if (clase = 6 or clase = 7 or clase = 8 or clase = 9 or clase = 10) wclase = "3".
if (clase =  2) wclase = "4".
if (clase = 1) wclase = "5".
if (clase = 13 or clase = 14 or clase = 15 or clase = 16 or clase = 17) wclase = "6".
if clase = 12 wclase = '7'.
EXECUTE.

STRING wtipo (A1).
COMPUTE wtipo = '9'.
EXECUTE .

if wclase = '1' wtipo = '1'.
if wclase = '2' wtipo = '2'.
if wclase = '3' wtipo = '2'.
if wclase = '4' wtipo = '3'.
if wclase = '5' wtipo = '3'.
if wclase = '6' wtipo = '4'.
if wclase = '7' wtipo = '5'.
EXECUTE.




*   Definicin de Etiquetas.*
*------------------------------------------.
VARIABLE LABELS 
t0   'Total Repblica' 
/t1   'Total '
/prov_ubie	' '.

VALUE LABELS 
t0 1	' '
/t1 1	' '
/wclase
'1'	'Hospital de especialidades'
'2'	'Agudo'
'3'	'Crnico'
'4'	'Hospital general'
'5'	'Hospital bsico'
'6'	'Clnica especializada'
'7'	'Clnica general'
'9'	'Raros CLASE'
/wtipo
'1'	'Hospital de especialidades'
'2'	'Hospital especializado'
'3'	'Hospital bsico y general'
'4'	'Clnica especializada'
'5'	'Clnica general'
'9'	'RAROS TIPO'.

*----------------------------.
* CUADRO BASE. 
*----------------------------.
TABLES
/OBSERVATION camas_disp 
/TABLE t0+REG_NAT >(t1+prov_ubie) by camas_disp + (wtipo>wclase>camas_disp)
/STATISTICS COUNT('N. DE ESTABLECIMIENTOS') SUM((f6)"") 
/TITLES "Cuadro 3.1.3"
"Nmero de establecimientos y nmero de camas hospitalarias disponibles, por clase de establecimiento"
	"Segn regiones y  provincias"	
/CAPTION  "Anuario de Estadsticas Hospitalarias - Camas y Egresos  - INEC 2016"
/CORNER.
EXECUTE.


*****3.1.4 Nmero de establecimientos y nmero de camas de dotacin normal, por clase de establecimiento,
segn regiones y provincias********..


TABLES
/OBSERVATION camas_dnor
/TABLE t0+REG_NAT>(t1+prov_ubie) by camas_dnor + (wtipo>wclase>camas_dnor)
/STATISTICS COUNT('N. DE ESTABLECIMIENTOS') SUM((f6)"") 
/TITLES "Cuadro 3.1.4"
"Nmero de establecimientos y nmero de camas de dotacin normal por clase de establecimiento"
	"Segn regiones y  provincias"
/CAPTION  "Anuario de Estadsticas Hospitalarias - Camas y Egresos  - INEC 2016"
/CORNER.
EXECUTE.


outp exp /contents export=visible /xlsx documentfile='D:\EGRESOS Y CAMAS\TABULADOS\Tabulados_2016\cuadro 3_1_4.xlsx' 
operation=createsheet sheet='c3_1_4'.
output close *.


* 3.1.5 Nmero de establecimientos hospitalarios y nmero de camas hospitalarias disponibles por sector y entidad a la que pertenecen,
segn regiones y  provincias.

GET FILE=' D:\EGRESOS Y CAMAS\BASES CAMAS\camas_2016.sav'.
*Crear variables  de trabajo.
*------------------------------------------.
filter off.
use all.
compute t0 = 1.
compute t1 = 1.

NUMERIC reg_nat (f2.0).
if (prov_ubie >= "01" and prov_ubie <= "06") reg_nat= 1.
if (prov_ubie >= "10" and prov_ubie <= "11") reg_nat= 1.
if (prov_ubie >= "17" and prov_ubie <= "18") reg_nat= 1.
if (prov_ubie = "23") reg_nat= 1.
if (prov_ubie >= "07" and prov_ubie <= "09") reg_nat = 2.
if (prov_ubie >= "12" and prov_ubie <= "13") reg_nat = 2.
if (prov_ubie = "24") reg_nat= 2.
if (prov_ubie >= "14" and prov_ubie <= "16") reg_nat = 3.
if (prov_ubie = "19") reg_nat= 3.
if (prov_ubie >= "21" and prov_ubie <= "22") reg_nat = 3.
if (prov_ubie = "20") reg_nat= 4.
if (prov_ubie = "90") reg_nat= 5.
execute.


VALUE LABELS
/reg_nat  
1 'Regin Sierra'
2 'Regin Costa'
3 'Regin Amaznica'
4 'Regin Insular'
5 'Zonas no delimitadas'.
*-----------------------------------------------------------------.
*Para agrupar las sectores con entidades.
*-----------------------------------------------------------------.
STRING wenti (A2).
COMPUTE wenti = '10'.
EXECUTE .

if entidad = 1 and sector =1 wenti = "1".
if entidad = 2 and sector =1 wenti = "2".
if entidad = 3 and sector =1 wenti = "3".
if (entidad = 6 or entidad = 7 or entidad = 8) and (sector =1) wenti = "4".
if (entidad = 4 or entidad = 5 or entidad = 9 or entidad = 10 or entidad = 11 or entidad = 12 or entidad = 14 or entidad = 16) and sector =1 wenti = "7".
if (entidad = 17 or entidad = 12 or entidad = 13 or entidad = 15 ) and (sector =3) wenti = "8".
if (entidad = 18 or entidad = 12) and (sector =2) wenti = "9".
EXECUTE.

STRING wsector (A1).
COMPUTE wsector = '9'.
EXECUTE .

if (wenti = '1'  or wenti = '2'  or wenti = '3'  or wenti = '4'  or wenti = '7' ) 	wsector = "1".
if (wenti = '8'  or wenti = '9') wsector = "2".
EXECUTE .

*------------------------------------------.
*   Definicin de Etiquetas.
*------------------------------------------.
VARIABLE LABELS
t0   'Total Repblica' 
/t1   'Total '
/prov_ubie	' '
/camas_disp 'camas '.

VALUE LABELS 
t0 1	' '
/t1 1	' '
/wenti
'1'	'Ministerio de Salud Pblica'
'2'	'Ministerio de Justicia, Derechos Humanos y Cultos'
'3'	'Ministerio de Defensa Nacional'
'4'	'Instituto Ecuatoriano de Seguridad Social (IESS)'
'7'	'Otras /1'
'8'	'Privados sin fines de lucro'
'9'	'Privados con fines de lucro '
'10'	'ERRADO ENTI'
/wsector	
'1'	'Sector pblico'
'2'	'Sector Privado'
'9'	'ERRADO SECTOR'.

*--------------------------------------------------------------.
* Filtrar registros que cumplen condicones. 
*--------------------------------------------------------------.
USE ALL.
COMPUTE filter_$=(wsector<>'9').
VARIABLE LABEL filter_$ "wsector<>'9' (FILTER)".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
*----------------------------.
* CUADRO BASE. 
*----------------------------.
TABLES
/OBSERVATION camas_disp 
/TABLE t0+REG_NAT>(t1+prov_ubie) by camas_disp + (wsector>wenti>camas_disp)
/STATISTICS COUNT('N. DE ESTABLECIMIENTOS') SUM((f6)"") 
/TITLES "Cuadro 3.1.5"
"Nmero de establecimientos hospitalarios y nmero de camas hospitalarias disponibles por sector y entidad a la que pertenecen"
	"Segn regiones y provincias"
/CAPTION  "Anuario de Estadsticas Hospitalarias - Camas y Egresos  - INEC 2016"
/CORNER.
EXECUTE.



* 3.1.6 Nmero de establecimientos hospitalarios y nmero de camas hospitalarias de dotacin normal,
por sector y entidad a la que pertenecen, segn regiones y  provincias.
*Crear variables  de trabajo.

*--------------------------------------------------------------.
* Filtrar registros que cumplen condicones. 
*--------------------------------------------------------------.
USE ALL.
COMPUTE filter_$=(wsector<>'9').
VARIABLE LABELS filter_$ "wsector<>'9' (FILTER)".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


*----------------------------.
* CUADRO BASE. 
*----------------------------.
TABLES
/OBSERVATION camas_dnor
/TABLE t0+REG_NAT>(t1+prov_ubie) by camas_dnor+ (wsector>wenti>camas_dnor)
/STATISTICS COUNT('N. DE ESTABLECIMIENTOS') SUM((f6)"") 
/TITLES "Cuadro c_3_1_6"
"Nmero de establecimientos hospitalarios y nmero de camas hospitalarias de dotacin normal"
	"por sector y entidad a la que pertenecen segn regiones y  provincias"
/CAPTION  "Anuario de Estadsticas Hospitalarias - Camas y Egresos  - INEC 2016"
/CORNER.
EXECUTE.


outp exp /contents export=visible /xlsx documentfile='D:\EGRESOS Y CAMAS\TABULADOS\Tabulados_2016\cuadro 3_1_6.xlsx' 
operation=createsheet sheet='c3_1_6'.
output close *.


*------------------------------------------------------.
*Cuadro 3.1.7. Camas hospitalarias de dotacin normal por servicios, de emergencia y cuidados intensivos , segn regiones, provincias, sector y entidad.

GET FILE=' D:\EGRESOS Y CAMAS\BASES CAMAS\camas_2016.sav'.
filter off.
use all.
*-----------------------------------------.
compute t0 = 1.
compute t1 = 1.

STRING wclase (A1).
COMPUTE wclase = '9'.
EXECUTE .

if sector = 1 and (clase = 1 or clase = 2 or clase = 3 or clase = 4 or clase = 5 or clase = 6 or clase = 7 or  clase = 8 or clase = 9 or clase = 10 or clase = 11) wclase = '1'.
if (sector = 2 or sector = 3) and (clase = 1 or clase = 2 or clase = 3 or clase = 4 or clase = 5 or clase = 6 or clase = 7 or  clase = 8 or clase = 9 or clase = 10 or clase = 11) wclase = '2'.
if (sector = 2 or sector = 3) and (clase = 12 or clase = 13 or clase = 14 or clase = 15 or clase = 16 or clase = 17) wclase = '3'.
EXECUTE.
*------------------------------------------------------------------------------------------.
* CODIGOS DE PROVINCIAS Y REGIONES.


NUMERIC reg_nat (f2.0).
if (prov_ubie >= "01" and prov_ubie <= "06") reg_nat= 1.
if (prov_ubie >= "10" and prov_ubie <= "11") reg_nat= 1.
if (prov_ubie >= "17" and prov_ubie <= "18") reg_nat= 1.
if (prov_ubie = "23") reg_nat= 1.
if (prov_ubie >= "07" and prov_ubie <= "09") reg_nat = 2.
if (prov_ubie >= "12" and prov_ubie <= "13") reg_nat = 2.
if (prov_ubie = "24") reg_nat= 2.
if (prov_ubie >= "14" and prov_ubie <= "16") reg_nat = 3.
if (prov_ubie = "19") reg_nat= 3.
if (prov_ubie >= "21" and prov_ubie <= "22") reg_nat = 3.
if (prov_ubie = "20") reg_nat= 4.
if (prov_ubie = "90") reg_nat= 5.
execute.



VALUE LABELS
/REG_NAT  
1 'Regin Sierra'
2 'Regin Costa'
3 'Regin Amaznica'
4 'Regin Insular'
5 'Zonas no delimitadas'.


VALUE LABELS 
/t0 1	' '
/t1 1	' '
/wclase
'1'	'Sector pblico, Clase: 01-11'
'2'	'Sector privado, Clase 01-11'
'3'	'Sector privado, Clase 12-17'
'9'	'RAROS CLASE'.

* CUADRO GENERAL.

TABLES
/OBSERVATION camas_dnor dotmedic dotcirug dotginob dotpedia dotcardi dotneumo dotpsiqu dottraum dotinfec dotoftal doturolo dotgast dototrse dotserin dotemerg dotcinte
/TABLE t0+ (REG_NAT>prov_ubie>sector>entidad) by (dotmedic+dotcirug+dotginob+dotpedia+dotcardi+dotneumo+dotpsiqu+dottraum+dotinfec+dotoftal+doturolo+dotgast+dototrse+dotserin+dotemerg+dotcinte)
/STATISTICS  SUM((f6)"") 
/TITLES "Cuadro 3_1_7"
 "Camas hospitalarias de dotacin normal, por servicios, segn regiones provincias sector y entidad"
/Caption "Anuario de Estadsticas Hospitalarias - Camas y Egresos 2015"
/CORNER.
EXECUTE.

outp exp /contents export=visible /xlsx documentfile='D:\EGRESOS Y CAMAS\TABULADOS\Tabulados_2016\cuadro 3_1_7.xlsx' 
operation=createsheet sheet='c3_1_7'.
output close *.

* CUADRO GENERAL Nota:PARA LOS TOTALES DE CLINICAS PARTICULARES.

TABLES
/OBSERVATION camas_dnor dotmedic dotcirug dotginob dotpedia dotcardi dotneumo dotpsiqu dottraum dotinfec dotoftal doturolo dotgast dototrse dotserin dotemerg dotcinte
/TABLE t0+ (REG_NAT  >prov_ubie>wclase) by (dotmedic+dotcirug+dotginob+dotpedia+dotcardi+dotneumo+dotpsiqu+dottraum+dotinfec+dotoftal+doturolo+dotgast+dototrse+dotserin+dotemerg+dotcinte)
/STATISTICS  SUM((f6)"") 
/TITLES "Cuadro N. 3_1_7	ltima lnea de Clnicas Particulares"
 "Camas hospitalarias de dotacin normal, por servicios, segn regiones provincias y establecimientos hospitalarios"
/Caption "Anuario de Estadsticas Hospitalarias - Camas y Egresos 2015"
/CORNER.
EXECUTE.



* CUADRO TOTALES POR PROVINCIAS

TABLES
/OBSERVATION camas_dnor dotmedic dotcirug dotginob dotpedia dotcardi dotneumo dotpsiqu dottraum dotinfec dotoftal doturolo dotgast dototrse dotserin dotemerg dotcinte
/TABLE t0+REG_NAT >(t1+prov_ubie) by (dotmedic+dotcirug+dotginob+dotpedia+dotcardi+dotneumo+dotpsiqu+dottraum+dotinfec+dotoftal+doturolo+dotgast+dototrse+dotserin+dotemerg+dotcinte)
/STATISTICS  SUM((f6)"") 
/TITLES "Cuadro N. 3_1_7	Totales por Provincias"
	 " Camas hospitalarias de dotacin normal, por servicios, segn regiones, provincias y establecimientos hospitalarios"
/CAPTION "Anuario de Estadsticas Hospitalarias - Camas y Egresos 2016"
/CORNER.
EXECUTE.


